Summary:	X Pixmap library
Summary(pl.UTF-8):	Biblioteka X Pixmap
Name:		xorg-lib-libXpm
Version:	3.5.17
Release:	1%{?tld}
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXpm-%{version}.tar.xz
# Source0-md5:	05b5667aadd476d77e9b5ba1a1de213e
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
# xgettext is used to create pots (although they are not used for anything yet)
BuildRequires:	gettext-tools
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Suggests:	gzip
Suggests:	ncompress
Obsoletes:	libXpm < 1:3.5.2
Obsoletes:	xpm < 1.3.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Pixmap library.

%description -l pl.UTF-8
Biblioteka X Pixmap.

%package devel
Summary:	Header files for libXpm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXpm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Obsoletes:	libXpm-devel < 1:3.5.2
Obsoletes:	xpm-devel < 1.3.4

%description devel
X Pixmap library.

This package contains the header files needed to develop programs that
use libXpm.

%description devel -l pl.UTF-8
Biblioteka X Pixmap.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXpm.

%package static
Summary:	Static libXpm library
Summary(pl.UTF-8):	Biblioteka statyczna libXpm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXpm-static < 1:3.5.2
Obsoletes:	xpm-static < 1.3.4

%description static
X Pixmap library.

This package contains the static libXpm library.

%description static -l pl.UTF-8
Biblioteka X Pixmap.

Pakiet zawiera statyczną bibliotekę libXpm.

%package utils
Summary:	X Pixmap utilities
Summary(pl.UTF-8):	Programy użytkowe dla X Pixmap
Group:		X11/Development/Tools
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	xpm-progs < 1.3.4

%description utils
X Pixmap utilities.

%description utils -l pl.UTF-8
Programy użytkowe dla X Pixmap.

%prep
%setup -q -n libXpm-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	XPM_PATH_COMPRESS=/usr/bin/compress \
	XPM_PATH_GZIP=/usr/bin/gzip \
	XPM_PATH_UNCOMPRESS=/usr/bin/uncompress

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS.old README.md doc/{FAQ.html,README.html,xpm.PS.gz}
%attr(755,root,root) %{_libdir}/libXpm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXpm.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXpm.so
%{_libdir}/libXpm.la
%{_includedir}/X11/xpm.h
%{_pkgconfigdir}/xpm.pc
%{_mandir}/man3/Xpm*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXpm.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cxpm
%attr(755,root,root) %{_bindir}/sxpm
%{_mandir}/man1/cxpm.1*
%{_mandir}/man1/sxpm.1*
%changelog
* Wed Dec 13 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-lib-libXpm.git;a=log;h=master

* Tue Oct 03 2023 Jan Palus <atler@pld-linux.org> 6387d91
- up to 3.5.17 (fixes CVE-2023-43788 CVE-2023-43789)

* Thu Apr 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 032b229
- updated to 3.5.16 (fixes CVE-2022-44617)

* Tue Jan 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 248515c
- explicitly set compression tool paths, do not rely on ncompress at build time; release 2

* Tue Jan 24 2023 Jakub Bogusz <qboosh@pld-linux.org> cbd6518
- updated to 3.5.15 (fixes CVE-2022-4883 CVE-2022-44617 CVE-2022-46285)

* Sun Nov 20 2022 Jakub Bogusz <qboosh@pld-linux.org> 6560454
- updated to 3.5.14

* Thu Dec 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 4721aaf
- updated to 3.5.13

* Thu Dec 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 385778f
- updated to 3.5.12

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> f533c12
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> dbd1f84
- updated gettext BR

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> b1e0ad8
- fixed build without xman suffix

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> f95460e
- updated to 3.5.11

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 1dab2e5
- updated to 3.5.10

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 936272d
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> ed75d95
- updated to 3.5.9

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 4bea495
- rebuild
- rel 2

* Fri Oct 09 2009 Jakub Bogusz <qboosh@pld-linux.org> e211e02
- updated util-macros version

* Fri Oct 09 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> c85ef61
- up to 3.5.8

* Tue Oct 06 2009 Jakub Bogusz <qboosh@pld-linux.org> 48a37db
- ghost soname symlink

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b34906
- release 2

* Tue Dec 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 97d9340
- gettext-devel note

